用户管理-客户端 API
由
scripts/generate-api-docs.ts自动生成 —— 请勿手改 共 14 个端点
DELETE /user
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
code | query | string | ✅ |
响应
| 状态码 | 说明 |
|---|---|
| 200 |
POST /user
无描述
请求体
json
{
"$ref": "#/components/schemas/ClientReqAddUserDto"
}响应
| 状态码 | 说明 |
|---|---|
| 201 |
PUT /user
无描述
请求体
json
{
"$ref": "#/components/schemas/ClientReqUpdateUserDto"
}响应
| 状态码 | 说明 |
|---|---|
| 200 |
GET /user/{userId}
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
userId | path | string | ✅ |
响应
| 状态码 | 说明 |
|---|---|
| 200 |
PUT /user/changeStatus
无描述
请求体
json
{
"$ref": "#/components/schemas/ReqChangeStatusDto"
}响应
| 状态码 | 说明 |
|---|---|
| 200 |
GET /user/profile
无描述
响应
| 状态码 | 说明 |
|---|---|
| 200 |
PUT /user/profile
无描述
请求体
json
{
"$ref": "#/components/schemas/ReqUpdataSelfDto"
}响应
| 状态码 | 说明 |
|---|---|
| 200 |
GET /user/profile/{userId}
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
userId | path | string | ✅ |
响应
| 状态码 | 说明 |
|---|---|
| 200 |
POST /user/profile/avatar
无描述
响应
| 状态码 | 说明 |
|---|---|
| 201 |
PUT /user/profile/phone
无描述
请求体
json
{
"$ref": "#/components/schemas/ReqUpdatePhone"
}响应
| 状态码 | 说明 |
|---|---|
| 200 |
PUT /user/profile/setPwd
无描述
响应
| 状态码 | 说明 |
|---|---|
| 200 |
PUT /user/profile/updatePwd
无描述
响应
| 状态码 | 说明 |
|---|---|
| 200 |
PUT /user/resetPwd
无描述
请求体
json
{
"$ref": "#/components/schemas/ReqResetPwdDto"
}响应
| 状态码 | 说明 |
|---|---|
| 200 |
PUT /user/userTag
无描述
请求体
json
{
"$ref": "#/components/schemas/UpdateUserTags"
}响应
| 状态码 | 说明 |
|---|---|
| 200 |